(*
 * Computes the CRC of the executable, searching for the
 * byte pattern of the TSoftguard component, and
 * replacing it with the computed CRC.
 *)

unit stcmain;

interface

uses
  Windows, Messages, SysUtils, Classes,  Forms,
  StdCtrls, ExtCtrls, FileCtrl, ComCtrls, Controls,
  Buttons, SGLckExe;

type
  TForm1 = class(TForm)
    Drives: TDriveComboBox;
    Directory: TDirectoryListBox;
    FileList: TFileListBox;
    ExitBtn: TBitBtn;
    ApplyBtn: TBitBtn;
    SoftGuard1: TSoftGuard;
    Label1: TLabel;
    imgShareLock: TImage;
    Label2: TLabel;
    Bevel1: TBevel;
    Image1: TImage;
    procedure FileListChange(Sender: TObject);
    procedure ExitBtnClick(Sender: TObject);
    procedure ApplyBtnClick(Sender: TObject);
  private
    procedure DoStamp(fileName: String);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure TForm1.DoStamp(fileName: String);
begin
  SoftGuard1.DoStamp(Filename) ;
end;

procedure TForm1.FileListChange(Sender: TObject);
begin
	if FileList.Filename <> '' then
  	ApplyBtn.Enabled := True
  else
  	ApplyBtn.Enabled := False;
end;

procedure TForm1.ExitBtnClick(Sender: TObject);
begin
   Close;
end;

procedure TForm1.ApplyBtnClick(Sender: TObject);
begin
   ApplyBtn.Enabled := False;
   ExitBtn.Enabled := False;
   DoStamp(FileList.Filename);
   ApplyBtn.Enabled := True;
   ExitBtn.Enabled := True;
end;

end.
